#!/usr/bin/perl -w

use strict;
use Tie::File;
use Fcntl 'O_RDONLY';

my @files = ("/var/log/httpd-access.log", "/var/log/boa-access.log");

my $tied;

foreach my $f ( @files ) {
    tie @{ $tied->{$f} }, 'Tie::File', $f, mode => O_RDONLY;
}

foreach my $f ( @files ) {
    print "$f\n";
    for( my $i = -1; $i >= -10; $i-- ) {
        print $tied->{$f}->[$i] . "\n";
    }
    print "\n\n";
}

        
